<?php
session_start();

/*   [uf] => 13
    [cidade] => 
    [estados] => 13
    [cidades] => 71
    [data] => 11/05/2016
    [titulop] => 2342
    [slug] => 2344
    [depp] => 43432*/

include "../phpconfig/config.php";
include "../phpconfig/valida_login.php";
include "../phpconfig/funcoes.php";
include '../phpconfig/slugfy.php';    //Geração de slugs
include '../phpconfig/resize.php';    //Classe de resige GD2
include '../phpconfig/genpass.php';   //Geração de senhas


// ANTIGO  uf agora id_uf 

$id_uf = $_POST['estados'];
if(isset($_POST['nacional'])) 
{
	$nacional =1 ;
}else{
	$nacional = 0;
}

if(isset($_POST['destaque'])) 
{
	$destaque =1 ;
}else{
	$destaque = 0;
}

// ANTIGO titulo_pt
$id_cidade = ($_POST['cidades']);
$nome_bairro = mysql_real_escape_string($_POST['titulop']);
$titulo = mysql_real_escape_string($_POST['titulopl']);

$info = mysql_real_escape_string($_POST['depp']);


    $data_cad      =troca_data($_POST['data']);
        $slug       = slugfyURL($_POST['slug']); 
$img = $_FILES['imagem'];

// ANTIGO titulo_pt
$slug = trim($slug); 
if(strlen($slug)==0) { $slug=slugfyURL($nome_bairro); }

$uploadDir = sti('up')."noticias/";


$fileTypes = array('jpg', 'jpeg', 'gif', 'png'); // Allowed file extensions

if (!empty($img)) {
	$tempFile   = $img['tmp_name'];
	$uploadDir  = $_SERVER['DOCUMENT_ROOT'] . $uploadDir;

//	echo $uploadDir; exit;
	$arch = slugfyUp($img['name']);
	$name = simplesPass(array(1,0,1,0),4)."-".$arch;
	$targetFile = $uploadDir.$name;

	// Validate the filetype
	$fileParts = pathinfo($img['name']);
	if (in_array(strtolower($fileParts['extension']), $fileTypes)) {

		move_uploaded_file($tempFile, $targetFile);

		$resizeObj = new resize($targetFile);

		// Resize image (options: exact, portrait (pela lagura), landscape(pela altura), auto, crop)
		$resizeObj -> resizeImage(800, 476, 'portrait');
		$resizeObj -> saveImage($uploadDir.'full-'.$name, 80);
		$resizeObj -> resizeImage(588, 350, 'crop');
		$resizeObj -> saveImage($uploadDir.$name, 80);
	}
}
 
 
 
 // ALTEARAR NOME DO BANCO
 
 
 
 
mysql_query("INSERT INTO info_bairro SET

nome_bairro='$nome_bairro',
info='$info',
id_cidade='$id_cidade',
slug='$slug',
titulo='$titulo',
id_uf='$id_uf'
", $con) or die(mysql_error());


header("location:index.php");